2018-07-13 14:25:28 -0700  Kevin McCarthy  <kevin@8t8.us> (3d9028fe)

        * Check outbuf length in mutt_from_base64()
        
        The obuf can be overflowed in auth_cram.c, and possibly auth_gss.c.
        
        Thanks to Jeriko One for the bug report.

M	base64.c
M	imap/auth_cram.c
M	imap/auth_gss.c
M	protos.h

2018-07-13 13:05:22 -0700  Kevin McCarthy  <kevin@8t8.us> (6962328c)

        * Check destlen and truncate in url_pct_encode().
        
        Thanks to Jeriko One for the patch, which this commit is based upon.

M	url.c

2018-07-13 12:35:50 -0700  Kevin McCarthy  <kevin@8t8.us> (e57a8602)

        * Verify IMAP status mailbox literal count size.
        
        Ensure the length isn't bigger than the idata->buf.
        
        Thanks to Jeriko One fo the bug report and patch, which this commit is
        based upon.

M	imap/command.c

2018-07-13 12:24:58 -0700  JerikoOne  <jeriko.one@gmx.us> (9347b5c0)

        * Handle NO response without message properly

M	imap/command.c

2018-07-13 12:15:00 -0700  Kevin McCarthy  <kevin@8t8.us> (3287534d)

        * Don't overflow tmp in msg_parse_fetch.
        
        Ensure INTERNALDATE and RFC822.SIZE field sizes fit temp buffer.
        
        Thanks to Jeriko One for the bug report and patch, which this patch is
        based upon.

M	imap/message.c

2018-07-13 11:33:16 -0700  Richard Russon  <rich@flatcap.org> (31eef6c7)

        * Selectively cache headers.
        
        Thanks to NeoMutt and Jeriko One for the patch, which was slightly
        modified to apply to the Mutt code.

M	imap/util.c

2018-07-13 11:16:33 -0700  Kevin McCarthy  <kevin@8t8.us> (6aed28b4)

        * Sanitize POP bcache paths.
        
        Protect against bcache directory path traversal for UID values.
        
        Thanks for Jeriko One for the bug report and patch, which this commit
        is based upon.

M	pop.c

2018-07-13 10:47:11 -0700  JerikoOne  <jeriko.one@gmx.us> (e154cba1)

        * Ensure UID in fetch_uidl.

M	pop.c

2018-07-12 21:41:17 -0700  Kevin McCarthy  <kevin@8t8.us> (4d0cd265)

        * Fix buffer size check in cmd_parse_lsub.
        
        The size parameter to url_ciss_tostring() was off by one.

M	imap/command.c

2018-07-12 20:46:37 -0700  Kevin McCarthy  <kevin@8t8.us> (e0131852)

        * Fix imap_quote_string() length check errors.
        
        The function wasn't properly checking for dlen<2 before quoting, and
        wasn't properly pre-adjusting dlen to include the initial quote.
        
        Thanks to Jeriko One for reporting these issues.

M	imap/util.c

2018-07-07 19:32:57 -0700  Kevin McCarthy  <kevin@8t8.us> (4ff007ca)

        * Mention $pgp_decode_command for $pgp_check_gpg_decrypt_status_fd
        
        It scans $pgp_decode_command for inline and application/pgp mime
        types.

M	init.h

2018-07-07 19:03:44 -0700  Kevin McCarthy  <kevin@8t8.us> (18515281)

        * Properly quote IMAP mailbox names when (un)subscribing.
        
        When handling automatic subscription (via $imap_check_subscribed), or
        manual subscribe/unsubscribe commands, mutt generating a "mailboxes"
        command but failed to properly escape backquotes.
        
        Thanks to Jeriko One for the detailed bug report and patch, which this
        commit is based upon.

M	imap/command.c
M	imap/imap.c
M	imap/imap_private.h
M	imap/util.c

2018-06-18 11:21:38 +0200  Philipp Gesang  <philipp.gesang@intra2net.com> (df4affd1)

        * crypt-gpgme: prevent crash on bad S/MIME signature
        
        Inform the user about the fingerprint being unavailable instead
        of crashing if the S/MIME signature is bad.

M	crypt-gpgme.c

2018-06-04 21:31:33 -0700  Kevin McCarthy  <kevin@8t8.us> (edb4ec84)

        * Add GnuPG status fd checks for inline pgp.
        
        The difficulty is that "BEGIN PGP MESSAGE" could be a signed and
        armored part, so we can't fail hard if it isn't encrypted.
        
        Change pgp_check_decryption_okay() to return more status codes, with
        >=0 indicating an actual decryption; -2 and -1 indicating plaintext
        found; and -3 indicating an actual DECRYPTION_FAILED status code seen.
        
        Fail hard on -3, but change the message for -2 and -1 to indicate the
        message was not encrypted.

M	pgp.c

2018-06-04 15:40:57 -0700  Kevin McCarthy  <kevin@8t8.us> (8ec6d766)

        * Add $pgp_check_gpg_decrypt_status_fd.
        
        If set (the default) mutt performs more thorough checking of the
        $pgp_decrypt_command status output for GnuPG result codes.
        
        Ticket #39 revealed that GnuPG (currently) does not protect against
        messages that have been manipulated to contain an empty encryption
        packet followed by a plaintext packet.
        
        A huge thanks to Marcus Brinkmann for researching this issue, taking
        the time to report it to us (and the GnuPG team), and taking even more
        time to clarify exactly what needed to be checked for.   

M	contrib/gpg.rc
M	contrib/pgp2.rc
M	contrib/pgp5.rc
M	contrib/pgp6.rc
M	init.h
M	mutt.h
M	pgp.c

2018-06-03 14:52:37 -0700  Kevin McCarthy  <kevin@8t8.us> (cb2329ae)

        * Revert showing real size for small files in mutt_pretty_size().
        
        I thought the change made in 0fa64ba9 was small enough not to matter,
        but at least one long-time user took the time to track down the change
        and request it be reverted.

M	muttlib.c

2018-06-03 14:40:31 -0700  Kevin McCarthy  <kevin@8t8.us> (33290d12)

        * Switch build scripts to use `` instead of $()
        
        This is for older systems running Bourne shell as /bin/sh.

M	mkchangelog.sh
M	mkreldate.sh
M	version.sh

2013-01-06 19:24:18 +0100  Oswald Buddenhagen  <ossi@kde.org> (ec96f5f5)

        * fix inappropriate use of FREE() in ssl init error path
        
        OpenSSL structures need to be freed with dedicated functions.

M	mutt_ssl.c

2018-05-19 10:57:10 -0700  Kevin McCarthy  <kevin@8t8.us> (d55950a8)

        * automatic post-release commit for mutt-1.10.0

M	ChangeLog
M	VERSION
M	po/bg.po
M	po/ca.po
M	po/cs.po
M	po/da.po
M	po/de.po
M	po/el.po
M	po/eo.po
M	po/es.po
M	po/et.po
M	po/eu.po
M	po/fr.po
M	po/ga.po
M	po/gl.po
M	po/hu.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/ko.po
M	po/lt.po
M	po/nl.po
M	po/pl.po
M	po/pt_BR.po
M	po/ru.po
M	po/sk.po
M	po/sv.po
M	po/tr.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_TW.po
2018-05-17 12:24:31 -0700  Ivan Vilata i Balaguer  <ivan@selidor.net> (70c9c89b)

        * Updated Catalan translation.

M	po/ca.po

2018-05-17 10:10:52 -0700  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp> (5c717661)

        * Updated Japanese translation.

M	po/ja.po

2018-05-17 12:45:39 +0200  Vincent Lefevre  <vincent@vinc17.net> (30778c5e)

        * fr.po: updated Project-Id-Version and removed old translations.

M	po/fr.po

2018-05-14 09:12:11 +0200  Olaf Hering  <olaf@aepfle.de> (f77b641d)

        * Updated German translation.
        
        Signed-off-by: Olaf Hering <olaf@aepfle.de>

M	po/de.po

2018-05-10 09:12:19 -0700  Kevin McCarthy  <kevin@8t8.us> (400b44a1)

        * Note that $pgp/smime_self_encrypt now default to set.

M	UPDATING

2018-05-10 09:00:21 -0700  Kevin McCarthy  <kevin@8t8.us> (2364c059)

        * Add note about libidn2 v2.0.0 or greater to UPDATING file.

M	UPDATING

2018-05-09 09:32:48 -0700  Vsevolod Volkov  <vvv@mutt.org.ua> (435ca12e)

        * Updated Russian translation.

M	po/ru.po

2018-05-09 09:30:55 -0700  Vsevolod Volkov  <vvv@mutt.org.ua> (c4559f92)

        * Updated Ukrainian translation.

M	po/uk.po

2018-05-08 19:32:12 -0700  Kevin McCarthy  <kevin@8t8.us> (16a581cf)

        * Add declaration checks for libidn2.
        
        The libidn compatibilty layer was only added in version
        2.0.0 (2017-03-29).  idn2.h defines macros, so use AC_CHECK_DECL
        instead of AC_CHECK_FUNC.
        
        $with_idn2 doesn't have an "auto" state, so remove a few unneeded
        copy/paste checks from idn.

M	configure.ac

2018-05-08 10:11:17 -0700  Petr Pisar  <petr.pisar@atlas.cz> (249a6f6c)

        * Updated Czech translation.

M	po/cs.po

2018-05-05 07:35:59 -0700  Kevin McCarthy  <kevin@8t8.us> (0e9f0bed)

        * Update the UPDATING file for 1.10.0.

M	UPDATING

2018-05-06 09:43:25 -0700  Morten Bo Johansen  <mjb@spamcop.net> (cd981cd0)

        * Updated Danish translation.

M	po/da.po

2018-05-05 07:39:36 -0700  lilydjwg  <lilydjwg@gmail.com> (3d9b2704)

        * Updated Simplified Chinese translation.

M	po/zh_CN.po

2018-05-04 02:43:56 +0200  Vincent Lefevre  <vincent@vinc17.net> (643e31c3)

        * Updated French translation.

M	po/fr.po

2018-04-29 15:10:21 -0700  Kevin McCarthy  <kevin@8t8.us> (97bc33dc)

        * Add echo command.
        
        Prints messages using mutt_message().  Sets OPTFORCEREFRESH to allow
        updates in the middle of a macro.
        
        Calls mutt_sleep(0) to pause for $sleep_time seconds after displaying
        the message.

M	doc/manual.xml.head
M	init.c
M	init.h

2018-05-03 12:24:55 +0200  Vincent Lefevre  <vincent@vinc17.net> (92ae6db7)

        * Missing comma.

M	doc/manual.xml.head

2018-05-01 15:13:51 -0700  Kevin McCarthy  <kevin@8t8.us> (9e8ee145)

        * Update copyright notices.

M	COPYRIGHT
M	doc/manual.xml.head
M	doc/mutt.man
M	doc/smime_keys.man
M	main.c

2018-04-28 13:21:42 -0700  Kevin McCarthy  <kevin@8t8.us> (e4557546)

        * Update pattern documentation.
        
        Note that ~b, ~B, ~h, ~M, and ~X read the message in, and that this
        can be much slower.
        
        Change =b, =B, =h table rows to document just the IMAP behavior.  The
        "=" simple string behavior is already covered below, and makes it less
        obvious whether "***)" should be added to those entries in the table.
        
        Break up the simple string and imap server-side matching explanation
        into two paragraphs.
        
        Add ~M to the list of patterns you can't use message scoring with.
        
        Add equivalent, if briefer, explanations to the muttrc.man page.

M	doc/manual.xml.head
M	doc/muttrc.man.head

2018-04-26 18:00:00 -0700  Ammon Riley  <ammon.riley@gmail.com> (974235c7)

        * Add ~M pattern to match mime Content-Types.

M	doc/manual.xml.head
M	doc/muttrc.man.head
M	mutt.h
M	pattern.c

2018-04-30 16:17:52 -0700  Kevin McCarthy  <kevin@8t8.us> (c9f5498c)

        * Add more explanation of known vs subscribed lists to manual.
        
        Mention in both the "Mailing Lists" and "Handling Mailing Lists"
        sections the difference between known and subscribed mailing lists.
        
        Note that the Mail-Followup-To header is generated if any of the
        recipients are known mailing lists.  If any of those are subscribed
        mailing lists, the sender's address will not be in the header.  If all
        of them are known (but not subscribed), the sender's address will be
        added to the header.

M	doc/manual.xml.head

2018-04-23 23:48:33 +0200  Vincent Lefevre  <vincent@vinc17.net> (d12c361c)

        * Updated French translation.

M	po/fr.po

2018-04-22 13:02:06 -0700  Kevin McCarthy  <kevin@8t8.us> (26b82202)

        * Add Error History function and config var.
        
        <error-history>, by default unbound, shows a list of the recent error
        messages displayed by Mutt via mutt_message() or mutt_error().
        
        $error_history sets the size of the history ring.
        
        For now, I've decided to include mutt_message() messages too.  If this
        is too chatty, we can restrict it to mutt_error() easily in the
        future.

M	OPS
M	curs_lib.c
M	curs_main.c
M	functions.h
M	globals.h
M	init.c
M	init.h
M	menu.c
M	pager.c
M	protos.h

2018-04-20 17:28:47 +0200  Vincent Lefevre  <vincent@vinc17.net> (f2e8392f)

        * Updated French translation.

M	po/fr.po

2018-04-19 15:40:35 -0700  Kevin McCarthy  <kevin@8t8.us> (3ec02fbc)

        * Add $sort_browser options for count and unread.

M	browser.c
M	init.h

2018-04-19 13:51:07 -0700  Kevin McCarthy  <kevin@8t8.us> (69959820)

        * Add $browser_abbreviate_mailboxes.
        
        This allows '=' and '~' mailboxes shortcuts to be turned off in the
        browser mailbox list.
        
        The default $sort_browser value of "alpha" uses strcoll(3), which
        ignores some punctuation.  When using multiple accounts with
        dynamically changing values of $folder, this can lead to an
        unintuitive sorting order.  (See issue #22 for an example.)
        
        This problem came about because of commit 8328ce68, which enabled
        mutt_pretty_mailbox() calls for IMAP and POP mailboxes too.  The
        commit had a valid point about consistency and too-wide mailbox
        listings, so I don't really want to revert it.
        
        This option provides an alternative to completely enable/disable the
        shortcuts for those who run into an issue.

M	browser.c
M	init.h
M	mutt.h

2018-04-16 16:32:33 -0700  Kevin McCarthy  <kevin@8t8.us> (4e4574c4)

        * Fix mkreldate.sh in master to use [-r] test too.

M	mkreldate.sh

2018-04-16 16:31:08 -0700  Kevin McCarthy  <kevin@8t8.us> (8da2e090)

        * Merge branch 'stable'

2018-04-16 16:29:08 -0700  Kevin McCarthy  <kevin@8t8.us> (296ccab5)

        * Switch to using [ -r ] in version.sh for Bourne shell compatibility.
        
        Thanks to Paul Keusemann for pointing out the issue.

M	version.sh

2018-04-15 15:57:28 -0700  Kevin McCarthy  <kevin@8t8.us> (79939350)

        * Add a comment in auth_gss about RFCs and null-termination.

M	imap/auth_gss.c

2018-04-09 13:46:42 +0200  Matej Muzila  <mmuzila@redhat.com> (13a2f614)

        * Add libidn2 support

M	configure.ac
M	doc/makedoc-defs.h
M	init.h
M	main.c
M	mutt.h
M	mutt_idna.c
M	mutt_idna.h
M	mutt_socket.c
M	mutt_ssl.c

2018-04-14 13:28:11 -0700  Kevin McCarthy  <kevin@8t8.us> (a21fb60e)

        * Merge branch 'stable'

2018-04-14 13:22:48 -0700  Kevin McCarthy  <kevin@8t8.us> (bf161cf5)

        * automatic post-release commit for mutt-1.9.5

M	ChangeLog
M	UPDATING
M	VERSION

2018-04-13 20:48:28 -0700  Kevin McCarthy  <kevin@8t8.us> (2e8f6e3f)

        * Merge branch 'stable'

2018-04-13 19:17:24 -0700  Kevin McCarthy  <kevin@8t8.us> (13a8f660)

        * Merge branch 'stable'

2018-04-09 15:39:08 -0700  Kevin McCarthy  <kevin@8t8.us> (29d6f261)

        * Merge branch 'stable'

2018-04-02 11:36:05 -0700  Kevin McCarthy  <kevin@8t8.us> (9bb76cce)

        * Merge branch 'stable'

2018-04-02 10:28:12 -0700  Grzegorz Szymaszek  <gszymaszek@short.pl> (1e9df3c8)

        * Updated Polish translation.

M	po/pl.po

2018-03-30 13:37:54 +0100  Christian Ebert  <blacktrash@gmx.net> (e56d30e5)

        * pager specifc "show incoming mailboxes list" macro
        
        Exiting the pager before change-folder avoids 'Not available in this
        menu' error when selecting a different entry in some circumstances.

M	doc/Muttrc.head

2018-03-24 15:10:13 -0700  Kevin McCarthy  <kevin@8t8.us> (ed3f8b6a)

        * Increase account.user/login size to 128.
        
        Like the pass field in commit 52949004, the existing size was
        insufficient for the reporter of issue #18.  For now, just bump up the
        size, but I'll move up looking into making these dynamically sized.

M	account.h

2018-03-22 20:23:46 -0700  Kevin McCarthy  <kevin@8t8.us> (3ffc0ec4)

        * Remove dead code in pgp.c
        
        pgp_extract_keys_from_messages() has been subsumed by
        crypt_extract_keys_from_messages().  The function had incorrect
        multi-bit flag comparisons, but since it's dead code, remove it
        instead.

M	pgp.c

2018-03-22 20:04:46 -0700  Kevin McCarthy  <kevin@8t8.us> (47e6c5aa)

        * Fix comparison of flags with multiple bits set.
        
        PGPENCRYPT, PGPKEY, SMIMEENCRYPT, and SMIMEOPAQUE are all combination
        flags, with multiple bits set.  In a few places these flags were
        bitwise-and'ed incorrectly: expecting a non-zero result to indicate
        all the bits in the flag were set.  Change those to explicitly compare
        the result against the original flag.

M	hdrline.c
M	pattern.c
M	recvattach.c
M	sendlib.c

2018-03-23 02:59:38 +0100  Vincent Lefevre  <vincent@vinc17.net> (66063c45)

        * Updated French translation.

M	po/fr.po

2018-03-22 12:29:59 -0700  Kevin McCarthy  <kevin@8t8.us> (94b9549e)

        * Change prompt string for $crypt_verify_sig
        
        Thanks to Michael Tatge for pointing out that the prompt is used for
        both PGP and S/MIME.

M	commands.c

2018-03-22 09:39:49 -0700  Kevin McCarthy  <kevin@8t8.us> (e275bb06)

        * Merge branch 'stable'

2018-03-15 10:24:35 -0700  Kevin McCarthy  <kevin@8t8.us> (e250c602)

        * Change mutt_error call in mutt_gpgme_set_sender() to dprint.
        
        The message is not an error message, and flies by so quickly it has
        little informative content.  Change it to use dprint instead.
        
        Thanks to Darac Marjal for reporting the issue.

M	crypt-gpgme.c

2018-03-14 04:28:20 +0100  Vincent Lefevre  <vincent@vinc17.net> (2ddd541e)

        * Updated French translation.

M	po/fr.po

2018-03-13 19:09:45 -0700  Kevin McCarthy  <kevin@8t8.us> (a0b3740b)

        * Improve the error message when a signature is missing.
        
        Thanks to Vincent Lefèvre for reporting the issue and for the wording
        suggestion!

M	crypt.c

2018-03-12 12:24:24 +0100  Vincent Lefevre  <vincent@vinc17.net> (f6232a25)

        * Updated French translation.

M	po/fr.po

2018-03-11 12:48:46 -0700  Kevin McCarthy  <kevin@8t8.us> (f47a159b)

        * Add $abort_noattach and $abort_noattach_regexp options.
        
        $abort_noattach_regexp is matched against the body of a message.  If
        so, the $abort_noattach quadoption is used to prompt whether to abort
        sending.
        
        Thanks to Antonio Radici for bringing the original version of the
        patch to our attention, which he pulled from
        https://github.com/tlvince/pkgbuild/blob/master/mutt-kiss/mutt-attach.patch
        
        This version was rewritten to use a regexp, to fix a few issues, and
        to better fit in with Mutt styles and conventions.

M	init.h
M	mutt.h
M	mutt_regex.h
M	send.c

2018-03-03 13:44:12 -0800  Kevin McCarthy  <kevin@8t8.us> (6829c390)

        * Merge branch 'stable'

2018-02-28 15:21:50 -0800  Kevin McCarthy  <kevin@8t8.us> (7561d7bc)

        * Merge branch 'stable'

2018-02-21 18:32:12 -0800  Kevin McCarthy  <kevin@8t8.us> (338019b3)

        * Merge branch 'stable'

2018-02-20 19:09:16 -0800  Kevin McCarthy  <kevin@8t8.us> (2d4081ac)

        * Improve index color cache flushing behavior.
        
        Flush when redefining the colors for an existing color line, in
        addition to when defining a new color line.
        
        Flush only when uncoloring the index.

M	color.c

2018-02-14 10:33:41 +0100  Vincent Lefevre  <vincent@vinc17.net> (ebd93b50)

        * Avoid a potential integer overflow if a Content-Length value is huge.

M	mbox.c

2018-02-08 12:20:02 +0100  Vincent Lefevre  <vincent@vinc17.net> (088e1903)

        * Change mkreldate.sh to use the UTC date with git, so that it is increasing.

M	mkreldate.sh

2018-02-06 14:42:40 -0800  Kevin McCarthy  <kevin@8t8.us> (02d571c2)

        * Fix document version and date for git build.
        
        Change mkreldate.sh to output just the date, so it can be used in the
        manual too.

M	Makefile.am
M	doc/Makefile.am
M	mkreldate.sh

2018-02-05 18:43:12 -0800  Kevin McCarthy  <kevin@8t8.us> (fefbd81f)

        * Use git to generate the release date if available.
        
        For now, fall back to the ChangeLog.  Perhaps the release date should
        be generated from a file, similar to VERSION, for those cases instead.

M	Makefile.am
A	mkreldate.sh

2018-02-06 01:57:48 +0100  Vincent Lefevre  <vincent@vinc17.net> (65e1f5c8)

        * Add a blank line between the compile options and the contact info for mutt -v

M	main.c

2018-02-05 13:19:40 +0100  Vincent Lefevre  <vincent@vinc17.net> (731629e2)

        * Updated French translation.

M	po/fr.po

2018-02-04 15:24:59 -0800  Kevin McCarthy  <kevin@8t8.us> (e82c9ce2)

        * Put gitlab issues url on a separate line.
        
        This removes the need to use brackets, and makes it easier for
        translations to fit within 80 columns.
        
        Thanks to Derek Martin for the suggested wording, and to Vincent
        Lefèvre for proofreading and noticing a small error.

M	main.c

2018-02-04 15:15:55 -0800  Kevin McCarthy  <kevin@8t8.us> (1fe6318b)

        * Fix history menu title.
        
        Remove an accidental leading space.  Thanks to Vincent Lefèvre for
        noticing the problem and providing a patch!

M	history.c
M	po/fr.po

2018-02-04 18:29:52 +0100  Vincent Lefevre  <vincent@vinc17.net> (f57e5171)

        * Updated French translation.

M	po/fr.po

2018-02-03 18:08:28 -0800  Kevin McCarthy  <kevin@8t8.us> (aa6903c9)

        * Add history-search function, bound to ctrl-r.
        
        Create a very basic "search history" functionality in the line editor.
        It uses the current input, and searches backward through history.  If
        there is one match, it immediately uses that otherwise it pops up a
        simple menu of matches.

M	OPS
M	doc/manual.xml.head
M	enter.c
M	functions.h
M	history.c
M	history.h

2018-02-01 11:14:11 -0800  Kevin McCarthy  <kevin@8t8.us> (d5544ef6)

        * Merge branch 'stable'

2018-01-31 15:01:18 -0800  Kevin McCarthy  <kevin@8t8.us> (22e1e87c)

        * Merge branch 'stable'

2018-01-31 14:22:07 -0800  Kevin McCarthy  <kevin@8t8.us> (fea9f7db)

        * Merge branch 'stable'

2018-01-27 11:58:12 -0800  Kevin McCarthy  <kevin@8t8.us> (eca744f5)

        * Merge branch 'stable'

2018-01-21 19:41:47 -0800  Kevin McCarthy  <kevin@8t8.us> (9ee1f84d)

        * Remove useless assignments in add_to_list functions.
        
        The code was probably pulled from some of the header processing
        functions, which were in a loop.  In those versions, "last" pointed to
        a collection of new entries appended, but in these two functions,
        updating last just obfuscates the code.

M	init.c

2018-01-21 18:56:12 -0800  Kevin McCarthy  <kevin@8t8.us> (8dd14816)

        * Add a blurb about $new_mail_command in the mailboxes section.

M	doc/manual.xml.head

2018-01-21 18:34:45 -0800  Kevin McCarthy  <kevin@8t8.us> (18701782)

        * Merge branch 'stable'

2018-01-17 19:20:04 -0800  Kevin McCarthy  <kevin@8t8.us> (95c7ff2b)

        * Merge branch 'stable'

2018-01-17 19:00:50 -0800  Kevin McCarthy  <kevin@8t8.us> (fb3593b3)

        * Merge branch 'stable'

2018-01-17 18:18:20 -0800  Kevin McCarthy  <kevin@8t8.us> (49c0d177)

        * Merge branch 'stable'

2018-01-16 09:40:11 +0100  Olaf Hering  <olaf@aepfle.de> (8fac7a94)

        * Update po
        
        Followup for untranslate Copyright list.
        
        Signed-off-by: Olaf Hering <olaf@aepfle.de>

M	po/bg.po
M	po/ca.po
M	po/cs.po
M	po/da.po
M	po/de.po
M	po/el.po
M	po/eo.po
M	po/es.po
M	po/et.po
M	po/eu.po
M	po/fr.po
M	po/ga.po
M	po/gl.po
M	po/hu.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/ko.po
M	po/lt.po
M	po/nl.po
M	po/pl.po
M	po/pt_BR.po
M	po/ru.po
M	po/sk.po
M	po/sv.po
M	po/tr.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_TW.po

2018-01-16 09:40:06 +0100  Olaf Hering  <olaf@aepfle.de> (18894e9c)

        * Split Copyright and Thanks in help output.
        
        The Copyright string is changing often, and its content is obvious.
        It does not need translation. The remaining string can be translated.
        This change avoids a stale translation once one of the years change.
        
        Signed-off-by: Olaf Hering <olaf@aepfle.de>

M	main.c

2018-01-16 09:39:57 +0100  Olaf Hering  <olaf@aepfle.de> (34267ed4)

        * Update po
        
        Preparation for following changes.
        
        Signed-off-by: Olaf Hering <olaf@aepfle.de>

M	po/bg.po
M	po/ca.po
M	po/cs.po
M	po/da.po
M	po/de.po
M	po/el.po
M	po/eo.po
M	po/es.po
M	po/et.po
M	po/eu.po
M	po/fr.po
M	po/ga.po
M	po/gl.po
M	po/hu.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/ko.po
M	po/lt.po
M	po/nl.po
M	po/pl.po
M	po/pt_BR.po
M	po/ru.po
M	po/sk.po
M	po/sv.po
M	po/tr.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_TW.po

2018-01-15 20:20:17 -0800  Brendan Cully  <brendan@cully.org> (38d106c6)

        * add clang static analysis to builds

M	.gitlab-ci.yml

2018-01-15 18:40:20 -0800  Brendan Cully  <brendan@cully.org> (4e2b370c)

        * gitlab-ci: build against openssl and gnutls

M	.gitlab-ci.yml

2018-01-15 16:06:30 -0800  Kevin McCarthy  <kevin@8t8.us> (3e9647b9)

        * Add pgp_default_key and smime_sign_as info to contrib rc files.
        
        Explain $pgp_default_key vs $pgp_sign_as in gpg.rc.
        
        Explain $smime_default_key vs $smime_sign_as in smime.rc.

M	contrib/gpg.rc
M	contrib/smime.rc

2018-01-15 14:20:28 -0800  Kevin McCarthy  <kevin@8t8.us> (ee28581a)

        * Add pages to .gitlab-ci.yml
        
        Use this to regenerate the manual and store it in the pages for the
        project.

M	.gitlab-ci.yml

2018-01-15 14:43:53 +0000  Konstantin Stephan  <pigleich3@gmx.net> (6bd130cf)

        * Update smime.rc: Typo fix, consistent headings

M	contrib/smime.rc

2018-01-14 15:50:34 -0800  Brendan Cully  <brendan@cully.org> (d1724851)

        * use mutt/ubuntu build image, build with everything on

M	.gitlab-ci.yml

2018-01-13 14:49:35 -0800  Brendan Cully  <brendan@cully.org> (797a9e38)

        * skeleton .gitlab-ci.yml to compile commits

A	.gitlab-ci.yml

2018-01-13 21:21:35 +0100  Grzegorz Szymaszek  <gszymaszek@short.pl> (7ddb1ae3)

        * Fixed GPGME translations that weren’t shown but affected the keyboard

M	po/pl.po

2018-01-13 20:27:11 +0100  Grzegorz Szymaszek  <gszymaszek@short.pl> (637d4229)

        * Update pl.po

M	po/pl.po

2018-01-13 09:47:09 +0100  Olaf Hering  <olaf@aepfle.de> (6c271bc4)

        * Fix typo in de.po
        
        Signed-off-by: Olaf Hering <olaf@aepfle.de>

M	po/de.po

2013-12-03 16:42:39 +0100  Olaf Hering  <olaf@aepfle.de> (5619de2b)

        * examine_directory: set directory/symlink size to zero
        
        The size of a directory or symlink in the folder browser is not meaningful.
        For directories it means just how many blocks were allocated to hold all
        entries. It does not mean that the entries are still present in the directory.
        For symlinks its the size of the target.
        Set both to zero to simplify the folder browser output.
        
        Signed-off-by: Olaf Hering <olaf@aepfle.de>

M	browser.c

2013-12-03 16:43:49 +0100  Olaf Hering  <olaf@aepfle.de> (0fa64ba9)

        * mutt_pretty_size: show real number for small files
        
        If a file is smaller than a certain size it is unfriendly to print 0K or
        0,1K as number of mails or as file size. Instead use the real number.
        
        Signed-off-by: Olaf Hering <olaf@aepfle.de>

M	muttlib.c

2018-01-11 15:16:07 -0800  Kevin McCarthy  <kevin@8t8.us> (4fa32548)

        * Merge branch 'stable'
